(function ($) {
    'use strict';

    function toggle_end_date_field_visibility() {
        if ($('.imm-event-all-day-field').is(':checked')) {
            $('.imm-event-end-date-field').closest('tr').hide();
        } else {
            $('.imm-event-end-date-field').closest('tr').show();
        }
    }

    function toggle_show_for_dependant_fields_visibility() {
        $('.imm-event-limited-to-ids-field').each(function () {
            $(this).closest('tr').hide();
        });

        const val = $('.imm-event-limited-to-type-field').val();

        if (val === 'users') {
            $('.imm-event-users-field').closest('tr').show();
        } else if (val === 'learndash_groups') {
            $('.imm-event-groups-field').closest('tr').show();
        } else if (val === 'learndash_courses') {
            $('.imm-event-courses-field').closest('tr').show();
        }
    }

    $(function () {
        const all = $('.subsubsub .all a');
        if (all.length && all.attr('href').startsWith('edit.php?post_type=imm_calendar_event')) {
            all.closest('.subsubsub').remove();
        }

        // Calendar event

        $('.imm-event-color-field').wpColorPicker();

        $('.imm-event-date-field').datetimepicker();

        $('.imm-event-all-day-field').on('click', function () {
            toggle_end_date_field_visibility();
        });

        $('.imm-event-limited-to-type-field').on('change', function () {
            toggle_show_for_dependant_fields_visibility();
        });

        $('.imm-event-select-field').select2();

        toggle_end_date_field_visibility();
        toggle_show_for_dependant_fields_visibility();

        // Quiz and course

        $('.imm-calendar-meta-date-field').datetimepicker();

        // Settings

        $('#imm-calendar-remind-minutes-before').select2();

    });

})(jQuery);
