<?php

/**
 * Fired during plugin activation
 *
 * @link       https://immerseus.com
 * @since      1.0.0
 * @package    Immerseus_Calendar
 * @subpackage Immerseus_Calendar/includes
 */

/**
 * Fired during plugin activation.
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Immerseus_Calendar
 * @subpackage Immerseus_Calendar/includes
 * @author     Immerseus <info@immerseus.com>
 */
class Immerseus_Calendar_Activator {
	/**
	 * Short Description. (use period)
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
		if ( ! class_exists( 'SFWD_LMS' ) ) {
			/* Leave message if the required plugin is not available */
			echo '<h3>' . esc_html__( 'LearnDash plugin is required', 'immerseus-calendar' ) . '</h3>';
			@trigger_error( esc_html__( 'Please install LearnDash', 'immerseus-calendar' ), E_USER_ERROR );
		}
	}
}
