<?php

/**
 * Define the internationalization functionality
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       https://immerseus.com
 * @since      1.0.0
 * @package    Immerseus_Calendar
 * @subpackage Immerseus_Calendar/includes
 */

/**
 * Define the internationalization functionality.
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Immerseus_Calendar
 * @subpackage Immerseus_Calendar/includes
 * @author     Immerseus <info@immerseus.com>
 */
class Immerseus_Calendar_i18n {
	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {
		load_plugin_textdomain(
			'immerseus-calendar',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);
	}
}
