<?php

class Immerseus_Calendar_Widget extends WP_Widget {
	function __construct() {
		parent::__construct(
			'learndash_calendar',
			__( 'LearnDash Calendar', 'immerseus-calendar' ),
			[
				'description' => __( 'Displays a calendar where you can view the details of the event in a popup by clicking a date slot.', 'immerseus-calendar' ),
			]
		);
	}

	/**
	 * @param array $args
	 * @param array $instance
	 */
	public function widget( $args, $instance ) {
		if ( ! get_option( 'imm_calendar_show_for_guests' ) and ! is_user_logged_in() ) {
			return;
		}

		$title = apply_filters( 'widget_title', $instance['title'] );

		echo $args['before_widget'];

		if ( ! empty( $title ) ) {
			echo $args['before_title'] . $title . $args['after_title'];
		}

		echo sprintf(
			'<div id="learndash-calendar-widget" class="learndash-calendar-widget learndash-calendar-widget-%s"></div>',
			get_option( 'imm_calendar_theme', 'default' )
		);

		echo $args['after_widget'];
	}

	/**
	 * @param array $instance
	 *
	 * @return string|void
	 */
	public function form( $instance ) {
		$title = $instance['title'] ?? __( 'New title', 'immerseus_calendar' );

		?>
        <p>
            <label for="<?php echo $this->get_field_id( 'title' ); ?>">
				<?php _e( 'Title:', 'immerseus_calendar' ); ?>
            </label>
            <input class="widefat"
                   id="<?php echo $this->get_field_id( 'title' ); ?>"
                   name="<?php echo $this->get_field_name( 'title' ); ?>"
                   type="text"
                   value="<?php echo esc_attr( $title ); ?>"
            />
        </p>
		<?php
	}

	/**
	 * @param array $new_instance
	 * @param array $old_instance
	 *
	 * @return array
	 */
	public function update( $new_instance, $old_instance ) {
		return [
			'title' => strip_tags( $new_instance['title'] ?? '' ),
		];
	}
}
