<div class="fc-wrapper fc fc-<?php echo $theme; ?>">

	<?php if ( $is_student ): ?>
        <div class="fc-additional-buttons">
            <button class="fc-button fc-button-primary" id="imm-event-add" data-micromodal-trigger="event-form-modal">
				<?php _e( 'add event', 'immerseus-calendar' ) ?>
            </button>
        </div>
	<?php endif; ?>

    <div id="imm-full-calendar"></div>

	<?php if ( is_user_logged_in() ): ?>
        <div class="immerseus-calendar-export">
			<?php _e( 'Export Feed', 'immerseus-calendar' ) ?>:
            <input type="text" value="<?php echo esc_url( $export_feed_url ); ?>" />
        </div>
	<?php endif; ?>

</div>

<div class="modal modal-<?php echo $theme; ?> micromodal-slide" id="event-view-modal" aria-hidden="true">
    <div class="modal__overlay" tabindex="-1" data-micromodal-close>
        <div class="modal__container" role="dialog" aria-modal="true">
            <header class="modal__header">
                <span class="modal__title"></span>
                <span class="modal__close" aria-label="Close modal" data-micromodal-close></span>
            </header>
            <main class="modal__content"></main>
            <footer class="modal__footer">
                <div class="alert alert-success" style="display: none">
                    <p>
						<?php _e( 'An event has been deleted successfully.', 'immerseus-calendar' ); ?>
                    </p>
                </div>

                <div class="imm-event-actions">
                    <a target="_blank" href="" class="modal__btn modal__btn-primary" id="imm-event-link">
						<?php _e( 'Link to event', 'immerseus-calendar' ); ?>
                    </a>

					<?php if ( $is_student ): ?>
                        <div id="imm-event-author-actions" style="display: none">
                            <a href="#" class="modal__btn" id="imm-event-edit" style="margin-right: .5rem">
								<?php _e( 'Edit', 'immerseus-calendar' ); ?>
                            </a>
                            <a href="#" class="modal__btn" id="imm-event-delete">
								<?php _e( 'Delete', 'immerseus-calendar' ); ?>
                            </a>
                        </div>
					<?php endif; ?>
                </div>
            </footer>
        </div>
    </div>
</div>

<div class="modal modal-<?php echo $theme; ?> micromodal-slide" id="event-form-modal" aria-hidden="true">
    <div class="modal__overlay" tabindex="-1" data-micromodal-close>
        <div class="modal__container" role="dialog" aria-modal="true">
            <form class="imm-event-form" id="imm-event-form">
                <header class="modal__header">
                    <span class="modal__title">
                        <span id="imm-event-add-title" style="display: none">
                            <?php _e( 'Add Event', 'immerseus-calendar' ); ?>
                        </span>
                        <span id="imm-event-edit-title" style="display: none">
                            <?php _e( 'Edit Event', 'immerseus-calendar' ); ?>
                        </span>
                    </span>
                    <span class="modal__close" aria-label="Close modal" data-micromodal-close></span>
                </header>
                <main class="modal__content">
                    <input type="hidden" name="post_id" id="imm_event_form_post_id_input" value="">

                    <div class="imm-event-form-field">
                        <label class="imm-event-form-field-label" for="imm_event_form_title_input">
							<?php _e( 'Title', 'immerseus-calendar' ); ?>
                        </label>
                        <input autocomplete="off" type="text" name="title" id="imm_event_form_title_input" required>
                    </div>

                    <div class="imm-event-form-field">
                        <label class="imm-event-form-field-label" for="imm_event_form_link_input">
							<?php _e( 'Link', 'immerseus-calendar' ); ?>
                        </label>
                        <input autocomplete="off" type="url" name="link" id="imm_event_form_link_input">
                    </div>

                    <div class="imm-event-form-field imm-event-form-check-field" id="imm-event-form-all-day-field">
                        <input type="checkbox" name="all_day" value="" id="imm_event_form_all_day_input" />
                        <label class="custom-imm-event-form-field-label imm-event-form-field-label"
                               for="imm_event_form_all_day_input">
							<?php _e( 'All Day', 'immerseus-calendar' ); ?>
                        </label>
                    </div>

                    <div class="imm-event-form-field imm-event-form-date-field imm-event-form-start-date-field">
                        <label class="imm-event-form-field-label" for="imm_event_form_start_date_input">
							<?php _e( 'Start Date', 'immerseus-calendar' ); ?>
                        </label>
                        <input autocomplete="off" type="text" name="start_date" id="imm_event_form_start_date_input"
                               required>
                    </div>

                    <div class="imm-event-form-field imm-event-form-date-field imm-event-form-end-date-field">
                        <label class="imm-event-form-field-label" for="imm_event_form_end_date_input">
							<?php _e( 'End Date', 'immerseus-calendar' ); ?>
                        </label>
                        <input type="text" name="end_date" id="imm_event_form_end_date_input"
                               data-parsley-validate-if-empty="true"
                               data-parsley-required-if-not-checked="#imm_event_form_all_day_input">
                    </div>

                    <div class="imm-event-form-field imm-event-form-color-field">
                        <label class="imm-event-form-field-label" for="imm_event_form_background_color_input">
							<?php _e( 'Background Color', 'immerseus-calendar' ); ?>
                        </label>
                        <input type="text" name="background_color" value="#2270B1" data-default-color="#2270B1"
                               id="imm_event_form_background_color_input">
                    </div>

                    <div class="imm-event-form-field imm-event-form-color-field">
                        <label class="imm-event-form-field-label" for="imm_event_form_text_color_input">
							<?php _e( 'Text Color', 'immerseus-calendar' ); ?>
                        </label>
                        <input type="text" name="text_color" value="#FFFFFF" data-default-color="#FFFFFF"
                               id="imm_event_form_text_color_input" required>
                    </div>

                    <?php apply_filters( 'learndash_calendar_event_fields_on_frontend', '' ) ?>
                </main>
                <footer class="modal__footer">
                    <div class="alert alert-success" style="display: none">
                        <p>
							<?php _e( 'An event has been saved successfully.', 'immerseus-calendar' ); ?>
                        </p>
                    </div>

                    <button type="submit" class="modal__btn modal__btn-primary">
						<?php _e( 'Save', 'immerseus-calendar' ); ?>
                    </button>
                </footer>
            </form>
        </div>
    </div>
</div>
